import { Main } from "./main.class";
export class Module {
    constructor() {
        this._main = new Main();
        this._classes = [];
    }
    get bootstrap() {
        return this._main;
    }
    add(...args) {
        this._classes = [
            ...this._classes,
            ...args.map(instance => new instance(this._main))
        ];
    }
    getInstance(value) {
        return this._classes
            .filter(instance => instance instanceof value)
            .length > 0
            && this._classes
                .filter(instance => instance instanceof value)[0];
    }
}
